Переполнение буфера в GrabIt

Дата публикации:
20.05.2009
Дата изменения:
20.05.2009
Всего просмотров:
1480
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
GrabIt 1.x
Уязвимые версии: GrabIt 1.7.2 beta 3, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных при обработке doctype объявлений ".NZB" файлах. Удаленный пользователь может с помощью специально сформированного ".NZB" файла, содержащего слишком длинную строку, вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.shemes.com

Решение: Установите последнюю версию 1.7.2 beta 4 с сайта производителя.

Журнал изменений:

20.05.2009
Добавлен PoC код.

Ссылки: Grabit <= 1.7.2 Beta 3 (.nzb) Local Buffer Overflow Exploit (SEH)
GrabIt 1.7.2x NZB DTD Reference Buffer Overflow Exploit
http://www.shemes.com/index.php?p=whatsnew
http://blog.teusink.net/2009/05/grabit-172-beta-3-nzb-file-parsing.html

или введите имя

CAPTCHA